package jp.deadend.noname.mt

enum class EditorCommand(val value: Int) {
    UNDO(R.string.command_undo),
    REDO(R.string.command_redo),
    GOTO_TOP(R.string.command_goto_top),
    GOTO_BOTTOM(R.string.command_goto_bottom),
    GOTO_LINE_BEGINNING(R.string.command_goto_line_beginning),
    GOTO_LINE_END(R.string.command_goto_line_end),
    CUT(R.string.command_cut),
    COPY(R.string.command_copy),
    PASTE(R.string.command_paste),
    CUT_LINE(R.string.command_cut_line),
    OPEN(R.string.command_open),
    SAVE(R.string.command_save),
    SAVE_AS(R.string.command_save_as),
    CLOSE(R.string.command_close),
    FIND(R.string.command_find),
    FIND_NEXT(R.string.command_find_next),
    FIND_PREV(R.string.command_find_prev)
}